package tp1_ing39;

/**
 * Tp1 : tests sans objets.
 * @author aponte
 */
public class ShiftTableau {
    /**
     * Renvoie un nouveau tableau ayant toutes les cases de {@code t} décalées d'un indice à droite,
     * sauf pour la dernière case de {@code t} mise au début du tableau résultat.
     * Formellement, dans le tableau résultat, chaque composante {@code t[i]} pour i compris entre 
     * 0 et t.length-2, apparaît à l'indice i+1, et la composante {@code t[t.lenght-1]} apparaît à l'indice 0.
     * Si t est null, lève une {@link IllegalArgumentException} ; si
     *  {@code t} est de taille 0, renvoie un tableau de taille 0.
     * <p> Pré-condition: {@code t} est différent de null </p>
     * @param t le tableau sur lequel se fera le décalage
     * @return un nouveau tableau ayant les cases de t décalées d'une position à droite sauf 
     * la dernière mise en première.
     * @throws IllegalArgumentException si {@code t} est null
     */
    
    public static int [] decaleDroite(int [] t) {     
        return null;
    }

    
}
